
<flexextractor version = "1.0" description = "Config file to generate the DIP publications file for PVSS">	

	<input type = "XML_XPATH" combine = "true">
		<source name = "application" parameter = "/dip/application">
			<data name = "projectName" select = "./projectName/text()" />
			<data name = "applicationName" select= "./applicationName/text()"/>
			<data name = "plcName" select = "./plcName/text()"/>
		</source>
		<source name = "dipConfigs" parameter = "/dip/dipConfigs/dipConfig">
			<data name = "configName" select = "./@configName" />
			<data name = "devicePrefix" select = "./devicePrefix/text()" />
			<data name = "systemName" select = "./systemName/text()" />
			<data name = "publisher" select = "./publisher/text()" />
			<data name = "timeout" select = "./timeout/text()" />
		</source>
		<source name= "dipPublications" parameter = "/dip/dipPublications/dipPublication">
			<data name = "alias" select = "./alias/text()" />
			<data name = "deviceType" select = "./deviceType/text()" />
			<data name = "dipConfig" select = "./dipConfig/text()" />
			<data name = "publicationName" select = "./publicationName/text()" />
			<data name = "element" select = "./element/text()" />
			<data name = "tag" select = "./tag/text()" />
			<data name = "buffer" select = "./buffer/text()" />
			<data name = "instanceNumber" select = "./instanceNumber/text()" />
		</source>
	</input>	


	<output head = "# ascii dump of database&#10;&#10;# DpValue&#10;ElementName&#9;TypeName&#9;_original.._value&#9;_original.._status64&#9;_original.._stime ">
		
		<section condition = "{dipConfigs.configName} == {dipPublications.dipConfig}" joinhead = "" head = "{dipConfigs.configName}.serverConfig&#9;_FwDipConfig&#9;" tail = "&#10;{dipConfigs.configName}.publishName&#9;_FwDipConfig&#9;&#34;{dipConfigs.publisher}&#34;&#10;{dipConfigs.configName}.queryTimeout&#9;_FwDipConfig&#9;{dipConfigs.timeout}&#10;" >
		
			<section joinhead = ", " head = "&quot;{dipPublications.publicationName}!{dipPublications.buffer}!" tail = "&quot;" generate = "{dipConfigs.systemName}{dipConfigs.devicePrefix}-{application.plcName}-{application.applicationName}-{dipPublications.deviceType}-{dipPublications.instanceNumber}.ProcessInput.{dipPublications.element}!{dipPublications.tag}!" />
		
		</section>	

	</output>

</flexextractor>